Whamcloud - gitweb
b=23185 properly support sles10 ppc64
[fs/lustre-release.git] / lustre / kernel_patches / targets / 2.6-sles10.target.in
1 lnxmaj="2.6.16"
2 lnxmin=".60"
3 lnxrel="0.42.8"
4 # use this when there is an "RPM fix" which means that the name of the
5 # (source) RPM has been updated but the version of the kernel inside the
6 # RPM is not also updated
7 rpmfix=""
8
9 # this is the delimeter that goes before the "smp" at the end of the version
10 # defaults to empty
11 FLAVOR_DELIMITER="-"
12
13 KERNEL_SRPM=kernel-source-${lnxmaj}${lnxmin}-${lnxrel}${rpmfix}.src.rpm
14 SERIES=""
15 VERSION=$lnxmaj
16 EXTRA_VERSION="${lnxmin#.}-${lnxrel}_lustre.@VERSION@"
17 LUSTRE_VERSION=@VERSION@
18
19 OFED_VERSION=1.5.1
20 RDAC_VERSION="09.03.0C02.0013"
21 MPTLINUX_VERSION="4.16.00.00-2"
22
23 BASE_ARCHS="i686 ppc x86_64 ia64 ppc64"
24 BIGMEM_ARCHS=""
25 BOOT_ARCHS=""
26 JENSEN_ARCHS=""
27 SMP_ARCHS="x86_64 ia64"
28 BIGSMP_ARCHS="i686"
29 PSERIES64_ARCHS="ppc"
30 PPC64_ARCHS="ppc64"
31 UP_ARCHS=""
32 SRC_ARCHS=""
33 #RPMSMPTYPE="smp"
34
35 for cc in gcc ; do
36     if which $cc >/dev/null 2>/dev/null ; then
37         export CC=$cc
38         break
39     fi
40 done